Subject: Re: bug#54661: 29.0.50; Emacs SEGV in get_glyph_face_and_encoding

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 30 Apr 2022 19:28:59 +0200

Eli Zaretskii <[email-masked]> writes:

> Can you try figuring that out?  One way of doing so is to set up a
> breakpoint in free_realized_faces, here:
>
>       for (i = 0; i < c->used; ++i)  <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<
> 	{
> 	  free_realized_face (f, c->faces_by_id[i]);
> 	  c->faces_by_id[i] = NULL;
> 	}
>
> and enable this breakpoint only between the above two lines of
> xdisp.c.  (You can do that via breakpoint commands of 2 more
> breakpoints in xdisp.c, in the places I mentioned above: a breakpoint
> on xdisp.c:16531 with commands that enable the breakpoint in
> free_realized_face, and another on xdisp.c:16598 which disables that
> breakpoint.)  Then in the breakpoint commands for the breakpoint in
> free_realized_face, produce the C and Lisp backtrace (the latter with
> xbacktrace command defined on src/.gdbinit), and post it here.  That
> might tell us which code is doing this.

This was a month ago, and there wasn't any response, so I guess there's
little chance that there'll be any development in this bug report, so
I'm closing it.  If progress can be made, please respond to the debbugs
address and we'll reopen.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no